Cyan Web API - Version 1


POST api/userGroups

            Creates a UserGroup.
            

Request Information

Parameters

NameDescriptionAdditional information
userGroupRepresentation

Define this parameter in the request body.

Request body formats

application/json, text/json

Sample:
{
  "userGroupId": "9c027041-9b00-4a98-8379-361b0e1f113c",
  "tenantId": "a2bdd5b3-a42b-422b-bac7-879cef08ecac",
  "lookupKey": "sample string 3",
  "name": "sample string 4",
  "description": "sample string 5",
  "isDefault": true,
  "createdDateUtc": "2026-11-13T23:59:41.5420933+00:00",
  "updatedDateUtc": "2026-11-13T23:59:41.5420933+00:00"
}

application/xml, text/xml

Sample:
<UserGroupRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-11-13T23:59:41.5420933+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-11-13T23:59:41.5420933+00:00</UpdatedDateUtc>
  <Description>sample string 5</Description>
  <IsDefault>true</IsDefault>
  <LookupKey>sample string 3</LookupKey>
  <Name>sample string 4</Name>
  <TenantId>a2bdd5b3-a42b-422b-bac7-879cef08ecac</TenantId>
  <UserGroupId>9c027041-9b00-4a98-8379-361b0e1f113c</UserGroupId>
</UserGroupRepresentation>

application/x-www-form-urlencoded

Sample:

Sample not available.